TechDraw RichTextAnnotation/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Narzędzie '''Wstaw adnotację w postaci tekstu sformatowanego''' dodaje sformatowany blok adnotacji do linii odniesienia lub widoku.")
(Created page with "{{Caption|Samodzielna adnotacja w postaci tekstu sformatowanego.}}")
Line 25: Line 25:


[[Image:TechDraw_RichTextBlock_sample.png|220px]]
[[Image:TechDraw_RichTextBlock_sample.png|220px]]
{{Caption|Stand alone RichTextAnnotation}}
{{Caption|Samodzielna adnotacja w postaci tekstu sformatowanego.}}


==Usage==
<span id="Usage"></span>
==Użycie==


# Press the {{Button|[[Image:TechDraw_RichTextAnnotation.svg|16px]] [[TechDraw_RichTextAnnotation|Rich Text Annotation]]}} button
# Press the {{Button|[[Image:TechDraw_RichTextAnnotation.svg|16px]] [[TechDraw_RichTextAnnotation|Rich Text Annotation]]}} button

Revision as of 19:15, 21 July 2023

Rysunek Techniczny: Wstaw adnotację w postaci tekstu sformatowanego

Lokalizacja w menu
Rysunek Techniczny → Adnotacja → Wstaw adnotację w postaci tekstu sformatowanego
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Szablony, SVG, Dodaj linię odniesienia do widoku

Opis

Narzędzie Wstaw adnotację w postaci tekstu sformatowanego dodaje sformatowany blok adnotacji do linii odniesienia lub widoku.

Samodzielna adnotacja w postaci tekstu sformatowanego.

Użycie

  1. Press the Rich Text Annotation button
  2. A Task dialog will open. The dialog allows quick entry of text.
  3. The Start Rich Text Editor button will open a full featured editor. Press the Save icon to record your changes.
  4. After the block is created, it can be edited by double clicking the RichTextAnnotation in the Tree.
  5. To attach the block to a Leaderline, select the line before starting the RichTextBlock tool.

Properties

  • DANEX,Y: The location of the block. Relative to the end of the line if attached to a Leaderline, otherwise this is the position on the page.
  • DANEShowFrame: Draws an outline around the block.
  • DANEMaxWidth: Limits the horizontal size of the block. A value of -1 is for unlimited width.
  • DANEAnnoText: The HTML text of the block.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The RichTextAnnotation tool can be used in macros and from the Python console.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Notes

  • You can edit your RichTextBlock by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.